summaryrefslogtreecommitdiff
path: root/media-tv
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2015-08-19 13:32:07 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2015-08-19 13:32:07 +0300
commit109203eb98efeb7b5d58d59376b49dd8ea934473 (patch)
tree6fe6fe70ce6020ca7dcb7b8a274f9d41fa91c3e4 /media-tv
parent75e2d4d54bc254c2c4826d9bb2932f790a8823c5 (diff)
kodi from gentoo with libcrossguid dependency
Diffstat (limited to 'media-tv')
-rw-r--r--media-tv/kodi/files/kodi-scm-no-arm-flags.patch16
-rw-r--r--media-tv/kodi/files/kodi-scm-nomythtv.patch67
-rw-r--r--media-tv/kodi/files/kodi-scm-texturepacker.patch17
-rw-r--r--media-tv/kodi/kodi-scm.ebuild257
-rw-r--r--media-tv/kodi/metadata.xml29
5 files changed, 386 insertions, 0 deletions
diff --git a/media-tv/kodi/files/kodi-scm-no-arm-flags.patch b/media-tv/kodi/files/kodi-scm-no-arm-flags.patch
new file mode 100644
index 0000000..64c1cfb
--- /dev/null
+++ b/media-tv/kodi/files/kodi-scm-no-arm-flags.patch
@@ -0,0 +1,16 @@
+http://bugs.gentoo.org/400617
+
+do not force any particular ABI or FPU or SIMD compiler flags for arm
+targets. let the toolchain and user CFLAGS control that.
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -571,7 +571,7 @@
+ elif test "$target_platform" = "target_raspberry_pi"; then
+ ARCH="arm"
+ use_arch="arm"
+-elif test "$use_arch" = "arm"; then
++elif false; then
+ CFLAGS="$CFLAGS -mno-apcs-stack-check"
+ CXXFLAGS="$CXXFLAGS -mno-apcs-stack-check"
+ FFMPEG_EXTRACFLAGS=""
diff --git a/media-tv/kodi/files/kodi-scm-nomythtv.patch b/media-tv/kodi/files/kodi-scm-nomythtv.patch
new file mode 100644
index 0000000..40ab23b
--- /dev/null
+++ b/media-tv/kodi/files/kodi-scm-nomythtv.patch
@@ -0,0 +1,67 @@
+http://trac.xbmc.org/ticket/11775
+
+make mythtv support optional
+
+diff --git a/Makefile.in b/Makefile.in
+index 9ffae7e..17cc525 100755
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -209,7 +209,7 @@ LIB_DIRS=\
+ lib/cpluff \
+ lib/xbmc-dll-symbols
+
+-ifeq (@USE_MYSQL@,1)
++ifeq (@USE_MYTHTV@,1)
+ LIB_DIRS += lib/cmyth
+ CMYTH=cmyth
+ endif
+diff --git a/configure.in b/configure.in
+index d44825f..629d7b4 100755
+--- a/configure.in
++++ b/configure.in
+@@ -479,6 +479,12 @@ AC_ARG_ENABLE([mysql],
+ [AS_HELP_STRING([--disable-mysql],
+ [disable mysql])],
+
++AC_ARG_ENABLE([mythtv],
++ [AS_HELP_STRING([--disable-mythtv],
++ [disable mythtv])],
++ [use_mythtv=$enableval],
++ [use_mythtv=yes])
++
+ AC_ARG_ENABLE([webserver],
+ [AS_HELP_STRING([--disable-webserver],
+ [disable webserver])],
+@@ -1080,6 +1086,9 @@ if test "$use_mysql" = "yes"; then
+ else
+ AC_MSG_ERROR($missing_program)
+ fi
++ if test "$use_mythtv" = "yes"; then
++ AC_DEFINE([HAVE_MYTHTV],[1],["Define to 1 if you want mythtv support"])
++ fi
+ fi
+ AC_CHECK_HEADER([ass/ass.h],, AC_MSG_ERROR($missing_library))
+ AC_CHECK_HEADER([mpeg2dec/mpeg2.h],, AC_MSG_ERROR($missing_library))
+@@ -2372,6 +2381,15 @@ else
+ final_message="$final_message\n MySQL:\tNo"
+ USE_MYSQL=0
+ fi
++
++if test "$use_mythtv" = "yes"; then
++ final_message="$final_message\n MythTV:\tYes"
++ USE_MYTHTV=1
++else
++ final_message="$final_message\n MythTV:\tNo"
++ USE_MYTHTV=0
++fi
++
+ if test "$use_webserver" = "yes"; then
+ final_message="$final_message\n Webserver:\tYes"
+ USE_WEB_SERVER=1
+@@ -2675,6 +2693,7 @@ AC_SUBST(USE_LIBUDEV)
+ AC_SUBST(USE_LIBUSB)
+ AC_SUBST(USE_LIBCEC)
+ AC_SUBST(USE_MYSQL)
++AC_SUBST(USE_MYTHTV)
+ AC_SUBST(USE_WAYLAND)
+
diff --git a/media-tv/kodi/files/kodi-scm-texturepacker.patch b/media-tv/kodi/files/kodi-scm-texturepacker.patch
new file mode 100644
index 0000000..fe3dcdc
--- /dev/null
+++ b/media-tv/kodi/files/kodi-scm-texturepacker.patch
@@ -0,0 +1,17 @@
+--- tools/depends/native/TexturePacker/Makefile.old 2015-03-17 22:29:18.880029509 +0100
++++ tools/depends/native/TexturePacker/Makefile 2015-03-17 22:29:41.459671679 +0100
+@@ -9,14 +9,10 @@
+
+ ifeq ($(NATIVEPLATFORM),)
+ PLATFORM = native
+- EXTRA_CONFIGURE = --enable-static
+ else
+ PLATFORM = $(NATIVEPLATFORM)
+ endif
+
+-ifeq ($(NATIVE_OS), linux)
+- EXTRA_CONFIGURE = --enable-static
+-endif
+ ifeq ($(NATIVE_OS), android)
+ EXTRA_CONFIGURE = --enable-static
+ endif
diff --git a/media-tv/kodi/kodi-scm.ebuild b/media-tv/kodi/kodi-scm.ebuild
new file mode 100644
index 0000000..69a8604
--- /dev/null
+++ b/media-tv/kodi/kodi-scm.ebuild
@@ -0,0 +1,257 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+# Does not work with py3 here
+# It might work with py:2.5 but I didn't test that
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit eutils python-single-r1 multiprocessing autotools git-r3
+
+EGIT_REPO_URI="git://github.com/xbmc/xbmc.git"
+
+DESCRIPTION="Kodi is a free and open source media-player and entertainment hub"
+HOMEPAGE="http://kodi.tv/ http://kodi.wiki/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="airplay alsa avahi bluetooth bluray caps cec css dbus debug +fishbmc gles goom java joystick midi mysql nfs +opengl profile +projectm pulseaudio +rsxs rtmp +samba sftp +spectrum test +texturepacker udisks upnp upower +usb vaapi vdpau +waveform webserver +X"
+REQUIRED_USE="
+ rsxs? ( X )
+ udisks? ( dbus )
+ upower? ( dbus )
+"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ app-arch/bzip2
+ app-arch/unzip
+ app-arch/zip
+ app-i18n/enca
+ airplay? ( app-pda/libplist )
+ dev-libs/boost
+ dev-libs/expat
+ dev-libs/fribidi
+ dev-libs/libcdio[-minimal]
+ cec? ( >=dev-libs/libcec-2.2 )
+ dev-libs/libpcre[cxx]
+ dev-libs/libxml2
+ dev-libs/libxslt
+ >=dev-libs/lzo-2.04
+ dev-libs/tinyxml[stl]
+ dev-libs/yajl
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ media-fonts/corefonts
+ media-fonts/roboto
+ alsa? ( media-libs/alsa-lib )
+ media-libs/flac
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/jasper
+ media-libs/jbigkit
+ >=media-libs/libass-0.9.7
+ bluray? ( media-libs/libbluray )
+ css? ( media-libs/libdvdcss )
+ media-libs/libmad
+ media-libs/libmodplug
+ media-libs/libmpeg2
+ media-libs/libogg
+ media-libs/libpng
+ projectm? ( media-libs/libprojectm )
+ media-libs/libsamplerate
+ joystick? ( media-libs/libsdl2 )
+ >=media-libs/taglib-1.8
+ media-libs/libvorbis
+ media-libs/tiff
+ pulseaudio? ( media-sound/pulseaudio )
+ media-sound/wavpack
+ >=media-video/ffmpeg-2.6:=[encode]
+ rtmp? ( media-video/rtmpdump )
+ avahi? ( net-dns/avahi )
+ nfs? ( net-fs/libnfs )
+ webserver? ( net-libs/libmicrohttpd[messages] )
+ sftp? ( net-libs/libssh[sftp] )
+ net-misc/curl
+ samba? ( >=net-fs/samba-3.4.6[smbclient(+)] )
+ bluetooth? ( net-wireless/bluez )
+ dbus? ( sys-apps/dbus )
+ caps? ( sys-libs/libcap )
+ sys-libs/zlib
+ virtual/jpeg
+ usb? ( virtual/libusb )
+ mysql? ( virtual/mysql )
+ opengl? (
+ virtual/glu
+ virtual/opengl
+ >=media-libs/glew-1.5.6
+ )
+ gles? (
+ media-libs/mesa[gles2]
+ )
+ vaapi? ( x11-libs/libva[opengl] )
+ vdpau? (
+ || ( x11-libs/libvdpau >=x11-drivers/nvidia-drivers-180.51 )
+ media-video/ffmpeg[vdpau]
+ )
+ X? (
+ x11-apps/xdpyinfo
+ x11-apps/mesa-progs
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ )"
+RDEPEND="${COMMON_DEPEND}
+ !media-tv/xbmc
+ udisks? ( sys-fs/udisks:0 )
+ upower? ( || ( sys-power/upower sys-power/upower-pm-utils ) )"
+DEPEND="${COMMON_DEPEND}
+ virtual/jre
+ dev-libs/libcrossguid
+ app-arch/xz-utils
+ dev-lang/swig
+ dev-util/gperf
+ X? ( x11-proto/xineramaproto )
+ dev-util/cmake
+ x86? ( dev-lang/nasm )
+ java? ( virtual/jre )
+ test? ( dev-cpp/gtest )"
+# Force java for latest git version to avoid having to hand maintain the
+# generated addons package. #488118
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-no-arm-flags.patch #400617
+ epatch "${FILESDIR}"/${P}-texturepacker.patch
+
+ # some dirs ship generated autotools, some dont
+ multijob_init
+ local d
+ for d in $(printf 'f:\n\t@echo $(BOOTSTRAP_TARGETS)\ninclude bootstrap.mk\n' | emake -f - f) ; do
+ [[ -e ${d} ]] && continue
+ pushd ${d/%configure/.} >/dev/null || die
+ AT_NOELIBTOOLIZE="yes" AT_TOPLEVEL_EAUTORECONF="yes" \
+ multijob_child_init eautoreconf
+ popd >/dev/null
+ done
+ multijob_finish
+ elibtoolize
+
+ emake -f codegenerator.mk
+
+ # Disable internal func checks as our USE/DEPEND
+ # stuff handles this just fine already #408395
+ export ac_cv_lib_avcodec_ff_vdpau_vc1_decode_picture=yes
+
+ # Fix the final version string showing as "exported"
+ # instead of the SVN revision number.
+ export HAVE_GIT=no GIT_REV=${EGIT_VERSION:-exported}
+
+ # avoid long delays when powerkit isn't running #348580
+ sed -i \
+ -e '/dbus_connection_send_with_reply_and_block/s:-1:3000:' \
+ xbmc/linux/*.cpp || die
+
+ epatch_user #293109
+
+ # Tweak autotool timestamps to avoid regeneration
+ find . -type f -exec touch -r configure {} +
+}
+
+src_configure() {
+ # Disable documentation generation
+ export ac_cv_path_LATEX=no
+ # Avoid help2man
+ export HELP2MAN=$(type -P help2man || echo true)
+ # No configure flage for this #403561
+ export ac_cv_lib_bluetooth_hci_devid=$(usex bluetooth)
+ # Requiring java is asine #434662
+# [[ ${PV} != "9999" ]] && export ac_cv_path_JAVA_EXE=$(which $(usex java java true))
+
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ --disable-ccache \
+ --disable-optimizations \
+ --with-ffmpeg=shared \
+ $(use_enable alsa) \
+ $(use_enable airplay) \
+ $(use_enable avahi) \
+ $(use_enable bluray libbluray) \
+ $(use_enable caps libcap) \
+ $(use_enable cec libcec) \
+ $(use_enable css dvdcss) \
+ $(use_enable dbus) \
+ $(use_enable debug) \
+ $(use_enable fishbmc) \
+ $(use_enable gles) \
+ $(use_enable goom) \
+ $(use_enable joystick) \
+ $(use_enable midi mid) \
+ $(use_enable mysql) \
+ $(use_enable nfs) \
+ $(use_enable opengl gl) \
+ $(use_enable profile profiling) \
+ $(use_enable projectm) \
+ $(use_enable pulseaudio pulse) \
+ $(use_enable rsxs) \
+ $(use_enable rtmp) \
+ $(use_enable samba) \
+ $(use_enable sftp ssh) \
+ $(use_enable spectrum) \
+ $(use_enable usb libusb) \
+ $(use_enable test gtest) \
+ $(use_enable texturepacker) \
+ $(use_enable upnp) \
+ $(use_enable vaapi) \
+ $(use_enable vdpau) \
+ $(use_enable waveform) \
+ $(use_enable webserver) \
+ $(use_enable X x11)
+}
+
+src_compile() {
+ emake V=1
+}
+
+src_install() {
+ default
+ rm "${ED}"/usr/share/doc/*/{LICENSE.GPL,copying.txt}*
+
+ domenu tools/Linux/kodi.desktop
+ newicon media/icon48x48.png kodi.png
+
+ # Remove optional addons (platform specific).
+ local disabled_addons=(
+ repository.pvr-{android,ios,osx{32,64},win32}.xbmc.org
+ visualization.dxspectrum
+ visualization.vortex
+ )
+ rm -rf "${disabled_addons[@]/#/${ED}/usr/share/kodi/addons/}"
+
+ # Remove fonconfig settings that are used only on MacOSX.
+ # Can't be patched upstream because they just find all files and install
+ # them into same structure like they have in git.
+ rm -rf "${ED}"/usr/share/kodi/system/players/dvdplayer/etc
+
+ # Replace bundled fonts with system ones
+ # teletext.ttf: unknown
+ # bold-caps.ttf: unknown
+ # roboto: roboto-bold, roboto-regular
+ # arial.ttf: font mashed from droid/roboto, not removed wrt bug#460514
+ rm -rf "${ED}"/usr/share/kodi/addons/skin.confluence/fonts/Roboto-*
+ dosym /usr/share/fonts/roboto/Roboto-Regular.ttf \
+ /usr/share/kodi/addons/skin.confluence/fonts/Roboto-Regular.ttf
+ dosym /usr/share/fonts/roboto/Roboto-Bold.ttf \
+ /usr/share/kodi/addons/skin.confluence/fonts/Roboto-Bold.ttf
+
+ python_domodule tools/EventClients/lib/python/xbmcclient.py
+ python_newscript "tools/EventClients/Clients/Kodi Send/kodi-send.py" kodi-send
+}
diff --git a/media-tv/kodi/metadata.xml b/media-tv/kodi/metadata.xml
new file mode 100644
index 0000000..eb04085
--- /dev/null
+++ b/media-tv/kodi/metadata.xml
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>xbox</herd>
+<use>
+ <flag name='airplay'>enable AirPlay support</flag>
+ <flag name='bluray'>Enable playback of Blu-ray filesystems</flag>
+ <flag name='cec'>Enable support for HDMI-CEC devices via libcec</flag>
+ <flag name='fishbmc'>Enable fishBMC visualization plugin</flag>
+ <flag name='gles'>Enable support for GLES</flag>
+ <flag name='goom'>Enable GOOM visualization plugin</flag>
+ <flag name='midi'>Support MIDI files</flag>
+ <flag name='nfs'>Enable NFS client support</flag>
+ <flag name='projectm'>Enable projectM visualization plugin</flag>
+ <flag name='pvr'>Enable MythTV support</flag>
+ <flag name='rtmp'>Enable Real Time Messaging Protocol using librtmp</flag>
+ <flag name='rsxs'>Enable really slick X screensavers</flag>
+ <flag name='sftp'>Support browsing files over SFTP</flag>
+ <flag name='spectrum'>Enable spectrum visualization plugin</flag>
+ <flag name='texturepacker'>Support packing skin textures</flag>
+ <flag name='waveform'>Enable waveform visualization plugin</flag>
+ <flag name='webserver'>Enable internal webserver</flag>
+ <flag name='xrandr'>Support X randr extension</flag>
+</use>
+<upstream>
+ <bugs-to>http://trac.kodi.tv/</bugs-to>
+ <remote-id type="github">xbmc/xbmc</remote-id>
+</upstream>
+</pkgmetadata>